/*========================================================================================================
 * NoMoveDrive.h
 *========================================================================================================
 *
 * File Description:
 *
 * This implements the IDrive interface to cause the robot not to move.
 *========================================================================================================
 *  Modifications:
 *  Date            Name            Description of Change
 *  18-Oct-2016     Joe Witcpalek   Created File
 *========================================================================================================*/

#ifndef SRC_NOMOVEDRIVE_H_
#define SRC_NOMOVEDRIVE_H_


//  Team 302 includes
#include <RunMotorsDrive.h>             // Base class

class NoMoveDrive: public RunMotorsDrive
{
    public:
        NoMoveDrive();      // constructor

        //--------------------------------------------------------------------
        // Method:      Init
        // Description: This method will initialize the values.
        // Returns:     void
        //--------------------------------------------------------------------
        void Init() override;

        //--------------------------------------------------------------------
        // Method:      HasTarget
        // Description: This indicates if this drive mode has a target
        //              such as time, distance, etc.
        // Returns:     true  = has a target
        //              false = doesn't have a target
        //--------------------------------------------------------------------
        bool HasTarget() const override;

        //--------------------------------------------------------------------
        // Method:      GetIdentifier
        // Description: This gets the name that identifies the drive mode..
        // Returns:     const char*         identifier for the drive
        //--------------------------------------------------------------------
        const char* GetIdentifier() const override;

        ~NoMoveDrive() override = default;  // destructor

    private:

};



#endif /* SRC_NOMOVEDRIVE_H_ */
